/* Top level is idpSelectIdPSelector */
#idpSelectIdPSelector
{
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
    text-align: left;
    background-color: #FFFFFF;
    padding: 20px;
    width: 90%;
    margin: auto;

}

/* Next down are the idpSelectPreferredIdPTile, idpSelectIdPEntryTile & idpSelectIdPListTile */

#idpSelectIdPEntryTile{
    width: 90%;
    margin: auto;

}
/** 
 * The preferred IdP tile (if present) has a specified height, so
 * we can fit the preselected * IdPs in there
 */
#idpSelectPreferredIdPTile
{
    height:118px; /* Force the height so that the  selector box
                   * goes below when there is only one preslect 
                   */

    width: 90%;
    margin: auto;
}
#idpSelectPreferredIdPTileNoImg
{
    height:60px;
}

/***
 *  The preselect buttons
 */
div.IdPSelectPreferredIdPButton
{
    margin: 3px;
    width: 120px;  /* Make absolute because 3 of these must fit inside 
                      div.IdPSelect{width} with not much each side. */
    float: left;
}

/*
 *  Make the entire box look like a hyperlink
 */
div.IdPSelectPreferredIdPButton a
{
    float: left;
    width: 99%; /* Need a specified width otherwise we'll fit
                   the contents which we don't want because
                   they have auto margins */
    
}
div.IdPSelectTextDiv{
    height: 3.5ex; /* Add some height to separate the text from the boxes */
    font-size: 15px;
    clear: left;
    margin: 0px auto 0px auto;
    text-align: center;
    width: 288px;
    font-family: "AvenirNext-Regular", "Helvetica", "Helvetica Neue", "HelveticaNeueRoman", "HelveticaNeue-Roman", "Helvetica Neue Roman", 'TeXGyreHerosRegular', "Helvetica", "Tahoma", "Geneva", "Arial", sans-serif;
    font-size: 16px;
    line-height: 22px;
}

div.IdPSelectPreferredIdPImg
{
/*  max-width: 95%; */
    height:40px;
    margin: 2px;
}

img.IdPSelectIdPImg {
   width:auto;
}

div.IdPSelectautoDispatchTile {
    display: block;
}

div.IdPSelectautoDispatchArea {
    margin-top: 30px ;
}

div.IdPSelectPreferredIdPButton img
{
    display: block;    /* Block display to allow auto centring */
    max-width:  114px; /* Specify max to allow scaling, percent does work */
    max-height: 64px;  /* Specify max to allow scaling, percent doesn't work */
    margin-top: 3px ;
    margin-bottom: 3px ;
    border: solid 0px #000000;  /* Strip any embellishments the brower may give us */
    margin-left: auto; /* Auto centring */
    margin-right: auto;  /* Auto centring */

}

div.IdPSelectPreferredIdPButton div.IdPSelectTextDiv
{
    line-height:12px;
    text-align: center;
    font-size: 12px;
    font-weight: normal;
    max-width: 95%;
    height: 30px;       /* Specify max height to allow two lines.  The 
                         * Javascript controlls the max length of the
                         * strings 
                         */
}

/*
 * Force the size of the selectors and the buttons
 */
#idpSelectInput, #idpSelectSelector
{
    border: 1px solid #999;
    clear: both;
    color: #3f3f3f;
    display: block;
    font-family: -apple-system, Helvetica, sans-serif;
    font-size: 16px;
    line-height: 20px;
    margin: 0 auto 0 auto;
    width: 100%;
    padding: 0.5em 0 0.5em 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0.5em;
    text-indent: 0.75em;
}
/*
 * For some reason a <select> width includes the border and an
 * <input> doesn't hence we have to force a margin onto the <select>
 */
#idpSelectSelector
{
    margin-left: 2px;
    margin-right: 2px;
}
#idpSelectSelectButton, #idpSelectListButton
{
    background-color: #fff;
    border: 1px solid #999;
    clear: both;
    color: #3f3f3f;
    display: block;
    font-size: 16px;
    line-height: 20px;
    margin: 0 auto 0 auto;
    width: 292px;
    padding: 0.5em 0 0.5em 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0.5em;
    -moz-border-radius: 0.5em;
    -webkit-border-radius: 0.5em;
    box-shadow: inset 0px 1px 1px rgba(0, 0, 0, 0.1), 0 1px 0 #fff;
    -webkit-box-shadow: inset 0px 1px 1px rgba(0, 0, 0, 0.1), 0 1px 0 #fff;
    -moz-box-shadow: inset 0px 1px 1px rgba(0, 0, 0, 0.1), 0 1px 0 #fff;
    text-indent: 0.75em;
    
    font-family: "Avenir-Book";
    background-color: #2479CE;
    border: 2px solid #2479CE;
    color: #fff;
    height: 50px;
    line-height: 50px;
    margin: 20px auto 0 auto;
    padding: 0;
    width:100%;

}

/*
 * change underlining of HREFS
 */
#idpSelectIdPSelector a:link 
{
    text-decoration: none;
}

#idpSelectIdPSelector a:visited 
{
    text-decoration: none;
}

#idpSelectIdPSelector a:hover 
{
    text-decoration: underline;
}



/* 
 * Arrange to have the dropdown/list aref on the left and the 
 * help button on the right 
 */

a.IdPSelectDropDownToggle
{
    display: inline-block;
    width: 80%;
}

a.IdPSelectHelpButton
{
    display: inline-block;
    text-align: right;
    width: 20%;
}

/**
 * Drop down (incremental search) stuff - see the associated javascript for reference
 */
ul.IdPSelectDropDown {
    -moz-box-sizing: border-box;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    box-sizing: border-box;
    list-style: none;
    padding-left: 0px;
    border: 1px solid black;
    z-index: 6;
    position: absolute;   
}

ul.IdPSelectDropDown li {
    background-color: white;
    cursor: default;
    padding: 8px;
    border-bottom:1px solid #888;
}

ul.IdPSelectDropDown li.IdPSelectCurrent {
    background-color: #3366cc;
    color: white;
}

/* Legacy */
div.IdPSelectDropDown {
    -moz-box-sizing: border-box;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: small;
    box-sizing: border-box;
    border: 1px solid black;
    z-index: 6;
    position: absolute;   
}

div.IdPSelectDropDown div {
    background-color: white;
    cursor: default;
    padding: 0px 3px;
}

div.IdPSelectDropDown div.IdPSelectCurrent {
    background-color: #3366cc;
    color: white;
}


div.body, div.buttons, div.instructions{
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
    padding: 20px;
    margin-top: 0;
    font-family: "AvenirNext-Regular", "Helvetica", "Helvetica Neue", "HelveticaNeueRoman", "HelveticaNeue-Roman", "Helvetica Neue Roman", 'TeXGyreHerosRegular', "Helvetica", "Tahoma", "Geneva", "Arial", sans-serif;
}

#leadform{
  
}

.instructions{
  margin-bottom:10px;
  text-align:center;
  font-size:14px;
  width: 90%;
  margin: auto;

} 

.body form, .buttons{
    width: 90%;
    margin: auto;
}

.complete{

}

input{
    background-color: #fff;
    border: 1px solid #999;
    clear: both;
    color: #3f3f3f;
    display: block;
    font-family: -apple-system, Helvetica, sans-serif;
    font-size: 16px;
    line-height: 20px;
    margin: 0 auto 0 auto;
    padding: 0.5em 0 0.5em 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    border-radius: 0.5em;
    text-indent: 0.75em;
    margin-top:8px;
    margin-bottom:8px;
    width: 100%;
}

table.inputs{
  text-align:center;
}

input#submitButton{
    text-indent: 0.75em;
    font-family: "Avenir-Book";
    background-color: #2479CE;
    border: 2px solid #2479CE;
    color: #fff;
    height: 50px;
    line-height: 50px;
    margin: 20px auto 0 auto;
    padding: 0;
    width: 100%;
    cursor:pointer;
}

div.error{
  color:red;
  font-size:14px;
  text-align:center
}

#recaptcha{
  margin:auto;
  display:block;
  width:304px;
}

.footer{
    background-image: url(https://www.unboundmedicine.com/apis/images/logo.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 238px 51px;
    height: 51px;
    margin: 30px 0 0 0;
    padding: 0;
}

.leadform{
    display:none;
}

.instructions.nursing{
    display:none;
}

.button{    
    font-size: 16px;
    align-items: flex-start;
    text-align: center;
    border-radius: 0.5em;
    text-indent: 0.75em;
    font-family: "Avenir-Book";
    background-color: #2479CE;
    border: 2px solid #2479CE;
    color: #fff;
    height: 50px;
    line-height: 50px;
    margin: 20px auto 0 auto;
    padding: 0;
    width: 100%;
    cursor:pointer;
}